Page MenuHomePhabricator

AbuseFilter: Cannot access property on non-object
Closed, ResolvedPublic

Description

Spotted in production:

Notice: Cannot access property on non-object in /srv/mediawiki/php-1.27.0-wmf.10/extensions/AbuseFilter/AbuseFilter.class.php on line 1842

Event Timeline

demon created this task.Feb 2 2016, 7:46 PM
demon raised the priority of this task from to Normal.
demon updated the task description. (Show Details)
demon added a subscriber: demon.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 2 2016, 7:46 PM
matmarex claimed this task.Apr 2 2016, 10:10 PM
matmarex added a subscriber: matmarex.

This happens for URLs like Special:AbuseFilter/history/<id>/item/<oldid>, where <id> is a valid filter id, but <oldid> is not a valid filter version id.

Change 281235 had a related patch set uploaded (by Bartosz Dziewoński):
AbuseFilterViewEdit: Correctly reject non-existent historical versions

https://gerrit.wikimedia.org/r/281235

Change 281235 merged by jenkins-bot:
AbuseFilterViewEdit: Correctly reject non-existent historical versions

https://gerrit.wikimedia.org/r/281235

matmarex closed this task as Resolved.Apr 2 2016, 11:25 PM
matmarex removed a project: Patch-For-Review.
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:11 PM